<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Create Journal Manual</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_journal::sidebar_journal" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-sm">
                    <div class="card-header">
                        <h5>Buat Jurnal Manual</h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${error != null}">
                                    <strong th:text="${error}"></strong>
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                </div>
                                <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${failed != null}">
                                    <strong th:text="${failed}"></strong>
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                </div>
                                <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                                    <strong th:text="${success}"></strong>
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                </div>
                                <div th:if="${message != null}" class="alert alert-danger alert-dismissible fade show" role="alert">
                                    <div class="table-responsive">
                                        <table>
                                            <tr>
                                                <th>Account</th>
                                                <th>DEBET</th>
                                                <th>CREDIT</th>
                                            </tr>
                                            <tr th:each="data, row:${message}">
                                                <td th:text="${data.account.name}"></td>
                                                <td>
                                                    <span th:text="${#numbers.formatDecimal(data.amount,  0, 'POINT', 2, 'COMMA')}" th:if="${data.balanceType.toString() == 'DEBET'}"></span>
                                                </td>
                                                <td>
                                                    <span th:text="${#numbers.formatDecimal(data.amount,  0, 'POINT', 2, 'COMMA')}" th:if="${data.balanceType.toString() == 'CREDIT'}"></span>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>Total</th>
                                                <th th:text="${#numbers.formatDecimal(totalDebet,  0, 'POINT', 2, 'COMMA')}"></th>
                                                <th th:text="${#numbers.formatDecimal(totalCredit,  0, 'POINT', 2, 'COMMA')}"></th>
                                            </tr>
                                            <tr>
                                                <th>Status</th>
                                                <th colspan="2">
                                                    <b class="badge text-bg-danger" th:text="${messageJournal}">Not Balance</b>
                                                </th>
                                            </tr>
                                        </table>
                                    </div>
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                </div>
                                <div class="mb-3"></div>
                                <form th:action="@{/journal/manual/save}" method="post">
                                    <div class="form-group mb-2">
                                        <label>Date</label>
                                        <input type="date" class="form-control" name="dateTransaction" required>
                                        <input type="hidden" name="journalType" value="NORMAL">
                                    </div>
                                    <div class="form-group mb-2">
                                        <label>Description</label>
                                        <textarea name="description" class="form-control" required></textarea>
                                    </div>
                                    <div class="form-group mb-3">
                                        <label>Institut</label>
                                        <select name="institut" class="form-select" required>
                                            <option value="">-- Pilih --</option>
                                            <option th:each="data, row:${institut}"
                                                    th:value="${data.id}"
                                                    th:text="${data.namaInstitut}"></option>
                                        </select>
                                    </div>
                                    <div class="card mb-3">
                                        <div class="card-body">
                                            <div class="mb-3">
                                                <button type="button" class="btn btn-info btn-sm text-white" onclick="addRow()"><i class="fa fa-plus-circle"></i>&nbsp; Add Row</button>
                                                <button type="button" class="btn btn-danger btn-sm" onclick="deleteRow()"><i class="fa fa-trash"></i>&nbsp; Remove the last line</button>
                                            </div>

                                            <table id="myTable" class="mb-3">
                                                <thead>
                                                <tr>
                                                    <th>No</th>
                                                    <th width="400">Account</th>
                                                    <th>Debet</th>
                                                    <th>Credit</th>
                                                    <th>Action</th>
                                                </tr>
                                                </thead>
                                                <tbody id="tableBody"></tbody>
                                                <tfoot id="tableFoot">
                                                <tr>
                                                    <th colspan="2">Total</th>
                                                    <th>
                                                        <input type="text" readonly class="form-control" name="totaldebet">
                                                    </th>
                                                    <th>
                                                        <input type="text" readonly class="form-control" name="totalcredit">
                                                    </th>
                                                    <th>
                                                        <span id="status"></span>
                                                    </th>
                                                </tr>
                                                </tfoot>
                                            </table>
                                            <div class="form-group mb-2">
                                                <button class="btn btn-primary" id="btnSubmit">Save</button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
<div layout:fragment="footer" class="script">
    <script th:src="@{/js/journal/jurnalmanual.js}"></script>
</div>
</body>
</html>
